#define ONE_K 1024
#define CHAR_OFFSET 64
#define UNINST_LOGFILE_NAME "Uninst.isu"
#define WM_SYSCOMMAND 0x0112
#define SC_MINIMIZE 0xF020

BOOL
  bAskDestPath,
  bAskExistingInstall,
  bAskLicense,
  bCheckRefCount,
  bAskSetupType,
  bCurrentServiceLevelInstalled,
  bCurrentVersionInstalled,
  bCustomSetups,
  bEarlierServiceLevelInstalled,
  bEarlierVersionInstalled,
  bEditSetEnv,
  bFixpak,
  bFolders,
  bHideTripleProgress,
  bIncludeRunTime,
  bInstallAborted,
  bInstallRunTime,
  bLaterServiceLevelInstalled, 
  bLaterVersionInstalled,
  bProductAlreadyInstalled,
  bRebootRequired,
  bRefreshDirectoryChanged,
  bRestoreTarget,
  bSetupRegistry,
  bSubComponents,
  bSummaryRequired,
  bUninstallIcon,
  bDialogAskTextInfo,
  bDialogAsk2Options,
  bDialogComponentDialog2,
  bDialogComponents,
  bDialogLicense,
  bDialogRegister,
  bDialogReadMe,
  bDialogSelectFolder,
  bDialogStartCopy,
  bDialogWelcome,
  userIsAdministrator
  ;

LIST
  listParams,
  listShowCopy
  ;

NUMBER  
  cpuType,         
  ivTmp1,
  ivTmp2,
  memorySize,
  nLocaleLanguage,
  nFatAdder,
  nFatDividerTypical,
  nResult,
  nRunTimeSize,
  nSetupType,
  numberOfColours,
  nvInstalledFixpak,
  nvInstalledRefCount,
  nvInstalledServiceLevel,
  nvInstalledVersion,
  nvNewVersion,
  nvNewServiceLevel,
  osMajor,
  osMinor,
  osType,
  videoResolution,
  winMinor
  ;

STRING  
  askTextHdg,
  bootDrive,
  initProdDir,
  initProdFile,
  languageString,
  softwareCompany,
  softwareCompanyProduct,
  softwareCompanyProductVersion,
  softwareCompanyProductVersionInstall,
  static1,
  static2,
  sResult,
  svCompany,                     
  svCOMPANY_NAME,
  svCUSTOM_SETUPS,
  svDefGroup,
  svDir,
  svFixpak,
  svInstalledFixpak,
  svInstalledLanguage,
  svInstalledProductType,
  svInstalledRefCount,
  svInstalledServiceLevel,
  svInstalledSetupType,
  svInstalledVersion,
  svLanguage,
  svLanguageDir,                  // Directory for language dependent files
  svName,
  svNetqDirpath,
  svNetqInstalled,
  svOsVersion,
  svPRODUCT_APP_PATH,
  svPRODUCT_APPBASE_PATH,
  svPRODUCT_CAPTIONBAR,
  svPRODUCT_FOLDERNAME,
  svPRODUCT_KEY,
  svPRODUCT_NAME,
  svPRODUCT_SERVICELEVEL,
  svPRODUCT_TYPE,
  svPRODUCT_VERSION,
  svReadMeDir,
  svRegistrationDir,
  svRTDriveLetter,
  svRUNTIME,
  svRuntimeRefCount,
  svRuntimeDir,
  svSerial,
  svSetupType,
  svSUBCOMPONENTS,
  svTarget,
  svTmp1,
  svTmp2,
  szAppPath,
  szHideString,
  szKey,
  szRegistry,
  textResult1,        //See DialogAskTextInfo
  textResult2,        //See DialogAskTextInfo
  textQuestion,
  theDate,
  theTime,
  typeHierarchyString,
  UninstallDir
  ;





